"No renderer qualified" on new compilation

Get technical support about the C++ source code and about Lua scripts for maps, entities, GUIs, the console, materials, etc. Also covered are the Cafu libraries and APIs, as well as compiling, linking, and the build system.
Stoo
Posts: 42
Joined: 2012-05-11, 00:28

"No renderer qualified" on new compilation

Postby Stoo » 2012-05-11, 01:47

Hey all,

I'm trying to get set up to start fiddling around with the engine. I stepped through the process at http://www.cafu.de/wiki/cppdev:gettingstarted, and it looks like it compiled fine, but I'm getting the "No renderer qualified" error when I try to actually run the compiled code.

This is the console output I'm getting when I try to run the basic compiled code (on Kubuntu 11.10):

Code: Select all

Cafu Engine, May  9 2012
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
17:26:07: Debug: Program locale set to en_GB (en_GB, English).
config.lua processed.
Warning: Failed to open ZIP archive Games/DeathMatch/Textures/TechDemo.zip
Warning: Failed to open ZIP archive Games/DeathMatch/Textures/SkyDomes.zip
17:26:07: Debug: Set m_CurrentMode.w from 0 to 3200
17:26:07: Debug: Set m_CurrentMode.h from 0 to 1080

Scanning cwd for all available renderers...
Scanning Libs/build/linux2/g++/debug/MaterialSystem for all available renderers...
No renderer qualified.


I had already downloaded the precompiled version to play around with, and it runs (mostly) fine... so just for fun, here's the console output when I run that:

Code: Select all

Cafu Engine, Apr 18 2012
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
config.lua processed.
Warning: Failed to open ZIP archive Games/DeathMatch/Textures/TechDemo.zip
Registering archive "Games/DeathMatch/Textures/SkyDomes.zip".

Scanning cwd for all available renderers...
./libRendererCgNV2X.so ... SUCCESS - first supported renderer (Pref# 2000).
./libRendererOpenGL12.so ... SUCCESS - but no higher preference (Pref# 1000).
./libRendererNull.so ... SUCCESS - but excluded from auto-selection (Pref# 1).
./libRendererARBprogs.so ... SUCCESS - higher preference renderer (Pref# 2200).
./libRendererCgARB1.so ... SUCCESS - but no higher preference (Pref# 2100).
Reloading previously auto-selected renderer ./libRendererARBprogs.so ...

Scanning cwd for all available sound systems...
./libSoundSysNull.so ... SUCCESS - but excluded from auto-selection (Pref# 1).
./libSoundSysOpenAL.so ... SUCCESS - first supported sound system (Pref# 1500).
Reloading previously auto-selected sound system ./libSoundSysOpenAL.so ...
Available OpenAL output devices:
        1. ALSA Software [default]
        2. OSS Software
Available OpenAL capture devices:
        1. ALSA Capture on default [default]                                   
        2. ALSA Capture on HDA ATI SB [ALC889 Analog] (hw:0,0)                 
        3. ALSA Capture on HDA ATI SB [ALC889 Analog] (hw:0,2)                 
        4. OSS Capture                                                         
Available OpenAL output devices with the ALC_ENUMERATE_ALL_EXT extension:
        1. ALSA Software on default [default]
        2. ALSA Software on HDA ATI SB [ALC889 Analog] (hw:0,0)
        3. ALSA Software on HDA ATI SB [ALC889 Digital] (hw:0,1)
        4. ALSA Software on HDA NVidia [HDMI 0] (hw:1,3)
        5. ALSA Software on HDA NVidia [HDMI 0] (hw:1,7)
        6. ALSA Software on HDA NVidia [HDMI 0] (hw:1,8)
        7. ALSA Software on HDA NVidia [HDMI 0] (hw:1,9)
        8. OSS Software
Warning: Console variable VideoModes is empty!
Note: Illegal Audio-MPEG-Header 0xf88e50b8 at offset 0x384.
Note: Trying to resync...
Note: Skipped 113 bytes in input.
Warning: The call to method OnMouseButtonUp() of window with name "ButtonYes" yielded (expected return values matching signature "i>b" instead).


Am I missing a config option somewhere to find my renderers? I have no idea why the precompiled version can find it, but not the manually compiled one. I did have to copy over the config.lua file from the precompiled version to the compiling version...
User avatar
Carsten
Site Admin
Posts: 2143
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: "No renderer qualified" on new compilation

Postby Carsten » 2012-05-11, 10:38

Hi Stoo,
welcome to the Cafu forums! :welcome:

Did you run Cafu from the proper working directory?
As described at item 3. at http://www.cafu.de/wiki/cppdev:gettings ... w_programs, the working directory should be the top-level directory, from where you call the binary in the build directory.

Btw., no need to copy config.lua -- it is automatically recreated whenever it has not been found.
Best regards,
Carsten
Stoo
Posts: 42
Joined: 2012-05-11, 00:28

Re: "No renderer qualified" on new compilation

Postby Stoo » 2012-05-11, 13:29

Figured it was something obvious... I read that line, and immediately went into the directory it gets built in. Works a treat when I do it correctly :cheesy:

Thanks - I'm sure I'll be posting with more questions!

Return to “Coding and Scripting”

Who is online

Users browsing this forum: No registered users and 2 guests